/*! ********************************************
 * MidiMessage.java
 * Copyright 2019 masahiro takamoto (MotChan)
 * Distributed under the MIT license. 
 * see -> sora/license.txt
 ******************************************** */
package sora.graybox;

public class MidiMessage
{
    public int type    = 0x80;  // * May contain NonStandard MidiMessages.
    public int channel = 0;
    public int value0  = 0;
    public int value1  = 0;

    public byte[] data = null;
    public int dataSize = 0;

    public void clear()
    {
        type = 0x80;
        channel = 0;
        value0 = 0;
        value1 = 0;
        data = null;
        dataSize = 0;
    }
    public MidiMessage(){}
}